<mamecheat version="1">

  <cheat desc="Hit Anywhere"> <comment>Use in conjuction with the Invincibility cheats</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@12CEA</action>
      <action>temp1 =maincpu.mw@12CF0</action>
      <action>temp2 =maincpu.mw@126A6</action>
    </script>
    <script state="run">
      <action>maincpu.mw@12CEA=6002</action> <!-- This ROM cheat was made by Abystus -->
      <action>maincpu.mw@12CF0=6002</action>
      <action>maincpu.mw@126A6=6002</action>
    </script>
    <script state="off">
      <action>maincpu.mw@12CEA=temp0 </action>
      <action>maincpu.mw@12CF0=temp1 </action>
      <action>maincpu.mw@126A6=temp2 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@7012F=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@700FC=02|(maincpu.pb@700FC BAND ~02)</action>
      <action>maincpu.pb@7012D=0F</action>
    </script>
  </cheat>

  <cheat desc="Select Speed PL1">
    <parameter min="0" max="3" step="1"/>
    <script state="run">
      <action>maincpu.pb@70109=(param)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Optional Pod (Test) PL1">
    <script state="run">
      <action>maincpu.pb@7011B=05</action>
      <action condition="(maincpu.pb@70631 LT 01) OR (maincpu.pb@70631 GT FF)">maincpu.pb@70631=04</action>
      <action>maincpu.pb@7063D=21|(maincpu.pb@7063D BAND ~21)</action>
      <action>maincpu.pb@70642=40</action>
      <action>maincpu.pb@70647=01</action>
      <action>maincpu.pb@7065B=05</action>
      <action>maincpu.pb@7063F=19</action>
      <action>maincpu.pd@70655=0700F000|(maincpu.pd@70655 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@73429=10|(maincpu.pb@73429 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@706AF=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@7067C=02|(maincpu.pb@7067C BAND ~02)</action>
      <action>maincpu.pb@706AD=0F</action>
    </script>
  </cheat>

  <cheat desc="Select Speed PL2">
    <parameter min="0" max="3" step="1"/>
    <script state="run">
      <action>maincpu.pb@70689=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@7342F=10|(maincpu.pb@7342F BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Optional Pod (Test) PL2">
    <script state="run">
      <action>maincpu.pb@7069B=05</action>
      <action condition="(maincpu.pb@70BB1 LT 01) OR (maincpu.pb@70BB1 GT FF)">maincpu.pb@70BB1=04</action>
      <action>maincpu.pb@70BBD=22|(maincpu.pb@70BBD BAND ~22)</action>
      <action>maincpu.pb@70BC2=50</action>
      <action>maincpu.pb@70BC7=01</action>
      <action>maincpu.pb@70BDB=05</action>
      <action>maincpu.pb@70BBF=19</action>
      <action>maincpu.pd@70BD5=07067000|(maincpu.pd@70BD5 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
